Bug 161018 - [MAINTAINER] sysutils/smartmontools: [SUMMARIZE CHANGES]
[MAINTAINER] sysutils/smartmontools: [SUMMARIZE CHANGES]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
Depends on:
  Show dependency treegraph
Reported: 2011-09-25 20:40 UTC by samm
Modified: 2011-09-27 20:00 UTC (History)
0 users

See Also:

smartmontools-5.41_3.patch (2.40 KB, patch)
2011-09-25 20:40 UTC, samm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description samm 2011-09-25 20:40:08 UTC
This patch from upstream address 2 issues:

1) SMART health status is always "GOOD" with atacam driver.
2) Command "-l scterc" is broken on ata and atacam drivers.
See https://sourceforge.net/apps/trac/smartmontools/ticket/198 for more

Added file(s):
- files/patch-os_freebsd

Generated with FreeBSD Port Tools 0.99
Comment 1 Chris Rees freebsd_committer 2011-09-25 20:47:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

cd wo   po      pcv
Comment 2 Chris Rees freebsd_committer 2011-09-25 20:53:50 UTC
On 25 September 2011 20:47,  <crees@freebsd.org> wrote:
> Synopsis: [MAINTAINER] sysutils/smartmontools: [SUMMARIZE CHANGES]
> Responsible-Changed-From-To: freebsd-ports-bugs->crees
> Responsible-Changed-By: crees
> Responsible-Changed-When: Sun Sep 25 19:47:54 UTC 2011
> Responsible-Changed-Why:
> cd wo =A0 po =A0 =A0 =A0pcv

Translated: I'll take it.
Comment 3 samm 2011-09-26 15:40:17 UTC
Please, do not apply this patch - i found a bug in it. I will update 
this PR shortly.
Comment 4 samm 2011-09-26 16:54:26 UTC
Please, replace files/os_freebsd from one from this url:


This is updated (and fixed) version of the patch.
Comment 5 dfilter freebsd_committer 2011-09-27 19:59:59 UTC
crees       2011-09-27 18:59:51 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
  Added files:
    sysutils/smartmontools/files patch-os_freebsd 
  Fix with atacam driver.
  PR:             ports/161018
  Submitted by:   Alex Samorukov <samm@os2.kiev.ua> (maintainer)
  Obtained from:  https://sourceforge.net/apps/trac/smartmontools/ticket/198
  Revision  Changes    Path
  1.53      +1 -1      ports/sysutils/smartmontools/Makefile
  1.1       +74 -0     ports/sysutils/smartmontools/files/patch-os_freebsd (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2011-09-27 20:00:02 UTC
State Changed
From-To: open->closed

Committed with second patch. Thanks!